%define		rpm_macros_rev	1.754
%define		find_lang_rev	1.40
# split into individual X_prov_ver if there is a reason to desync
%define		prov_ver	4.15
Summary:	PLD Linux RPM macros
Summary(pl.UTF-8):	Makra RPM dla Linuksa PLD
Name:		rpm-pld-macros
Version:	%{rpm_macros_rev}
Release:	1
License:	GPL v2+
Group:		Development/Building
Source0:	macros.pld
Source1:	service_generator.sh
Source3:	find-lang.sh
Source4:	dokuwiki-find-lang.sh
Source5:	macros.kernel
Source6:	attr.kernel
Source8:	rpm-compress-doc
Source9:	rpm-find-spec-bcond

Source10:	attr.ruby
Source11:	macros.ruby
Source12:	rubygems.rb
Source13:	gem_helper.rb

Source20:	attr.java
Source21:	macros.java
Source22:	rpm-java-requires
Source23:	eclipse-feature.xslt

Source30:	attr.php
Source31:	macros.php
Source32:	rpm-php-provides
Source33:	rpm-php-requires
Source34:	rpm-php-requires.php

Source40:	macros.browser-plugins
Source41:	macros.cacti
Source42:	macros.emacs
Source43:	macros.ghc
Source44:	macros.nagios
Source45:	macros.openldap
Source46:	macros.perl
Source47:	macros.python
Source48:	macros.systemd
Source49:	macros.tcl
Source50:	macros.upstart
Source51:	macros.webapp
Source52:	macros.xmms
Source53:	macros.xorg

Source60:	rpm-mimetypedeps
Source61:	macros.mimetype

Patch0:		disable-systemd.patch
#Patchx: %{name}-pydebuginfo.patch
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	sed >= 4.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# redefine to bootstrap
%define		_usrlibrpm %{_prefix}/lib/rpm

%description
This package contains rpm macros for PLD Linux.

%description -l pl.UTF-8
Ten pakiet zawiera makra rpm-a dla Linuksa PLD.

%package build
Summary:	PLD Linux RPM build macros
Summary(pl.UTF-8):	Makra do budowania pakietów RPM dla Linuksa PLD
Requires:	findutils >= 1:4.2.26
Provides:	rpmbuild(find_lang) = %{find_lang_rev}
Provides:	rpmbuild(macros) = %{rpm_macros_rev}
Obsoletes:	rpm-build-macros
Obsoletes:	rpm-macros
# rm: option `--interactive' doesn't allow an argument
Conflicts:	coreutils < 6.9
Conflicts:	gettext-devel < 0.11
# tmpdir/_tmppath macros problems; optcppflags missing
Conflicts:	rpm < 4.4.9-72
# macros.d/*
Conflicts:	rpm-build < 5.4.15-52
# php-config --sysconfdir
Conflicts:	php-devel < 4:5.2.0-3
Conflicts:	php4-devel < 3:4.4.4-10
# sysconfig module with proper 'purelib' path
Conflicts:	python3 < 1:3.2.1-3
%if "%{pld_release}" != "ac"
# libtool --install
Conflicts:	libtool < 2:2.2
%endif

%description build
This package contains rpm build macros for PLD Linux.

%description build -l pl.UTF-8
Ten pakiet zawiera makra rpm-a do budowania pakietów dla Linuksa PLD.

%package rubyprov
Summary:	Ruby tools, which simplify creation of RPM packages with Ruby software
Summary(pl.UTF-8):	Makra ułatwiające tworzenie pakietów RPM z programami napisanymi w Ruby
Group:		Applications/File
Requires:	%{name}-build = %{version}-%{release}
Requires:	ruby
Requires:	ruby-modules
Requires:	ruby-rubygems
Provides:	rpm-rubyprov = %{prov_ver}
Obsoletes:	rpm-rubyprov

%description rubyprov
Ruby tools, which simplifies creation of RPM packages with Ruby
software.

%description rubyprov -l pl.UTF-8
Makra ułatwiające tworzenie pakietów RPM z programami napisanymi w
Ruby.

%package javaprov
Summary:	Additional utilities for checking Java provides/requires in RPM packages
Summary(pl.UTF-8):	Dodatkowe narzędzia do sprawdzania zależności kodu w Javie w pakietach RPM
Group:		Applications/File
Requires:	%{name}-build = %{version}-%{release}
Requires:	jar
Requires:	jre
Requires:	file
Requires:	findutils >= 1:4.2.26
Requires:	mktemp
Requires:	unzip
Provides:	rpm-javaprov = %{prov_ver}
Obsoletes:	rpm-javaprov

%description javaprov
Additional utilities for checking Java provides/requires in RPM
packages.

%description javaprov -l pl.UTF-8
Dodatkowe narzędzia do sprawdzania zależności kodu w Javie w pakietach
RPM.

%package php-pearprov
Summary:	Additional utilities for checking PHP PEAR provides/requires in RPM packages
Summary(pl.UTF-8):	Dodatkowe narzędzia do sprawdzania zależności skryptów php w RPM
Group:		Applications/File
Requires:	%{name}-build = %{version}-%{release}
Requires:	sed >= 4.0
Suggests:	php-pear-PHP_CompatInfo
Provides:	rpm-php-pearprov = %{prov_ver}
Obsoletes:	rpm-php-pearprov

%description php-pearprov
Additional utilities for checking PHP PEAR provides/requires in RPM
packages.

%description php-pearprov -l pl.UTF-8
Dodatkowe narzędzia do sprawdzenia zależności skryptów PHP PEAR w
pakietach RPM.

%prep
%setup -qcT
cp -p %{SOURCE0} .
cp -p %{SOURCE1} .

%if "%{pld_release}" == "ac"
%{__sed} -i -e '/libtoolize --copy --force --install/s/ --install//' macros.pld
%patch0 -p1
%endif

%build
%{__sed} -i -e 's,{Revision},%{rpm_macros_rev},' macros.pld

rev=$(awk '/^%%rpm_build_macros/{print $2}' macros.pld)
if [ "$rev" != "%rpm_macros_rev" ]; then
	: Update rpm_macros_rev define to $rev, and retry
	exit 1
fi
rev=$(awk -F= '/^VERSION/{print $2}' %{SOURCE3})
if [ "$rev" != "%find_lang_rev" ]; then
	: Update find_lang_rev define to $rev, and retry
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_usrlibrpm}/{macros.d,pld}

cp -p macros.pld $RPM_BUILD_ROOT%{_usrlibrpm}/macros.build
cp -p %{SOURCE8} $RPM_BUILD_ROOT%{_usrlibrpm}/compress-doc
cp -p %{SOURCE9} $RPM_BUILD_ROOT%{_usrlibrpm}/find-spec-bcond

cat %{SOURCE5} %{SOURCE6} >$RPM_BUILD_ROOT%{_usrlibrpm}/macros.d/macros.kernel

install -p service_generator.sh $RPM_BUILD_ROOT%{_usrlibrpm}
install -p %{SOURCE3} $RPM_BUILD_ROOT%{_usrlibrpm}/find-lang.sh
install -p %{SOURCE4} $RPM_BUILD_ROOT%{_usrlibrpm}/dokuwiki-find-lang.sh

cat %{SOURCE11} %{SOURCE10} >$RPM_BUILD_ROOT%{_usrlibrpm}/macros.d/macros.ruby
install -p %{SOURCE12} $RPM_BUILD_ROOT%{_usrlibrpm}/rubygems.rb
install -p %{SOURCE13} $RPM_BUILD_ROOT%{_usrlibrpm}/gem_helper.rb

cat %{SOURCE21} %{SOURCE20} >$RPM_BUILD_ROOT%{_usrlibrpm}/macros.d/macros.java
install %{SOURCE22} $RPM_BUILD_ROOT%{_usrlibrpm}/java-find-requires
install %{SOURCE23} $RPM_BUILD_ROOT%{_usrlibrpm}/eclipse-feature.xslt

cat %{SOURCE31} %{SOURCE30} >$RPM_BUILD_ROOT%{_usrlibrpm}/macros.d/macros.php
cp -p %{SOURCE32} $RPM_BUILD_ROOT%{_usrlibrpm}/php.prov
cp -p %{SOURCE33} $RPM_BUILD_ROOT%{_usrlibrpm}/php.req
cp -p %{SOURCE34} $RPM_BUILD_ROOT%{_usrlibrpm}/php.req.php

cp -p %{SOURCE40} $RPM_BUILD_ROOT%{_usrlibrpm}/macros.d/macros.browser-plugins
cp -p %{SOURCE41} $RPM_BUILD_ROOT%{_usrlibrpm}/macros.d/macros.cacti
cp -p %{SOURCE42} $RPM_BUILD_ROOT%{_usrlibrpm}/macros.d/macros.emacs
cp -p %{SOURCE43} $RPM_BUILD_ROOT%{_usrlibrpm}/macros.d/macros.ghc
cp -p %{SOURCE44} $RPM_BUILD_ROOT%{_usrlibrpm}/macros.d/macros.nagios
cp -p %{SOURCE45} $RPM_BUILD_ROOT%{_usrlibrpm}/macros.d/macros.openldap
cp -p %{SOURCE46} $RPM_BUILD_ROOT%{_usrlibrpm}/macros.d/macros.perl
cp -p %{SOURCE47} $RPM_BUILD_ROOT%{_usrlibrpm}/macros.d/macros.python
cp -p %{SOURCE48} $RPM_BUILD_ROOT%{_usrlibrpm}/macros.d/macros.systemd
cp -p %{SOURCE49} $RPM_BUILD_ROOT%{_usrlibrpm}/macros.d/macros.tcl
cp -p %{SOURCE50} $RPM_BUILD_ROOT%{_usrlibrpm}/macros.d/macros.upstart
cp -p %{SOURCE51} $RPM_BUILD_ROOT%{_usrlibrpm}/macros.d/macros.webapp
cp -p %{SOURCE52} $RPM_BUILD_ROOT%{_usrlibrpm}/macros.d/macros.xmms
cp -p %{SOURCE53} $RPM_BUILD_ROOT%{_usrlibrpm}/macros.d/macros.xorg

cp -p %{SOURCE60} $RPM_BUILD_ROOT%{_usrlibrpm}/mimetypedeps.sh
cp -p %{SOURCE61} $RPM_BUILD_ROOT%{_usrlibrpm}/macros.d/macros.mimetype

%clean
rm -rf $RPM_BUILD_ROOT

%files build
%defattr(644,root,root,755)
%{_usrlibrpm}/macros.build
%{_usrlibrpm}/macros.d/macros.browser-plugins
%{_usrlibrpm}/macros.d/macros.cacti
%{_usrlibrpm}/macros.d/macros.emacs
%{_usrlibrpm}/macros.d/macros.ghc
%{_usrlibrpm}/macros.d/macros.java
%{_usrlibrpm}/macros.d/macros.kernel
%{_usrlibrpm}/macros.d/macros.mimetype
%{_usrlibrpm}/macros.d/macros.nagios
%{_usrlibrpm}/macros.d/macros.openldap
%{_usrlibrpm}/macros.d/macros.perl
%{_usrlibrpm}/macros.d/macros.php
%{_usrlibrpm}/macros.d/macros.python
%{_usrlibrpm}/macros.d/macros.ruby
%{_usrlibrpm}/macros.d/macros.systemd
%{_usrlibrpm}/macros.d/macros.tcl
%{_usrlibrpm}/macros.d/macros.upstart
%{_usrlibrpm}/macros.d/macros.webapp
%{_usrlibrpm}/macros.d/macros.xmms
%{_usrlibrpm}/macros.d/macros.xorg
%attr(755,root,root) %{_usrlibrpm}/service_generator.sh
%attr(755,root,root) %{_usrlibrpm}/find-lang.sh
%attr(755,root,root) %{_usrlibrpm}/dokuwiki-find-lang.sh
%attr(755,root,root) %{_usrlibrpm}/compress-doc
%attr(755,root,root) %{_usrlibrpm}/find-spec-bcond
%attr(755,root,root) %{_usrlibrpm}/mimetypedeps.sh

%files rubyprov
%defattr(644,root,root,755)
%attr(755,root,root) %{_usrlibrpm}/gem_helper.rb
%attr(755,root,root) %{_usrlibrpm}/rubygems.rb

%files javaprov
%defattr(644,root,root,755)
%attr(755,root,root) %{_usrlibrpm}/java-find-requires
%{_usrlibrpm}/eclipse-feature.xslt

%files php-pearprov
%defattr(644,root,root,755)
%attr(755,root,root) %{_usrlibrpm}/php.prov
%attr(755,root,root) %{_usrlibrpm}/php.req
%attr(755,root,root) %{_usrlibrpm}/php.req.php
%changelog
* Sun Nov 22 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rpm-pld-macros.git;a=log;h=master

* Sat Nov 21 2020 Jakub Bogusz <qboosh@pld-linux.org> 55d61d5
- this branch is targeted for rpm5, so short circuit noarchpackage to just BA: noarch

* Sat Nov 21 2020 Jakub Bogusz <qboosh@pld-linux.org> cc2ddd1
- spacing cleanup

* Sat Nov 21 2020 Jakub Bogusz <qboosh@pld-linux.org> a40cd61
- macros 1.754: added ruby_arch and ruby_rubyhdrdir macros

* Sat Oct 17 2020 Jan Rękorajski <baggins@pld-linux.org> 5ed1418
- disable php pear dependency generators
- ver 1.753

* Sat Oct 17 2020 Jakub Bogusz <qboosh@pld-linux.org> be890f9
- updated version for fixed _ver_lt/_ver_ge macros

* Fri Oct 02 2020 Jakub Bogusz <qboosh@pld-linux.org> 0b4ebb8
- version 1.752: "noarchpackage" macro to cut down boilerplate

* Tue Sep 29 2020 Jakub Bogusz <qboosh@pld-linux.org> 16bd844
- version 1.751: texhash macro

* Mon Sep 28 2020 Jakub Bogusz <qboosh@pld-linux.org> 8f8e1b5
- version 1.750: fixed reversed _rpm_lt/_rpm_ge logic

* Sun Sep 27 2020 Jakub Bogusz <qboosh@pld-linux.org> a04002a
- version 1.749: fixed _ver_* macros

* Sat Sep 26 2020 Jakub Bogusz <qboosh@pld-linux.org> d77fb7b
- version 1.748: added %_ver_lt, %_ver_ge

* Thu Apr 16 2020 Jakub Bogusz <qboosh@pld-linux.org> 2d6f794
- version 1.747: support for filenames with spaces in shebang checks

* Mon Apr 13 2020 Jakub Bogusz <qboosh@pld-linux.org> 467a558
- version 1.746 to use as dependency for fixed kmod and php autodeps

* Sun Mar 15 2020 Jan Rękorajski <baggins@pld-linux.org> 918cf09
- rel 3

* Sun Mar 15 2020 Jan Rękorajski <baggins@pld-linux.org> 4a02847
- javaprov requires working jre

* Wed Feb 12 2020 Jan Rękorajski <baggins@pld-linux.org> d2f9c36
- fix paths to /usr/lib/rpm in macro files
- rel 2

* Thu Feb 06 2020 Jakub Bogusz <qboosh@pld-linux.org> e6d1d42
- extract rpm-*prov version to macro on top
- some scripts are derived from LGPL v2.1+, so GPL version must be v2+
- version bumped to 1.745, release 1

* Wed Jan 22 2020 Jan Rękorajski <baggins@pld-linux.org> d568435
- package macros the same was as for rpm.org (.../macros.d/macros.*)
- rel 4

* Wed Jan 22 2020 Jan Rękorajski <baggins@pld-linux.org> 3d90086
- rel 3

* Wed Jan 22 2020 Jan Rękorajski <baggins@pld-linux.org> 2ae588b
- update internal deps, no main package for rpm5

* Wed Jan 22 2020 Jan Rękorajski <baggins@pld-linux.org> c89aa79
- moved all macros to build subpackage, rpm5 has distro macros in main package

